CREATE TABLE catalog.product
(
    id integer NOT NULL GENERATED ALWAYS AS IDENTITY,
    pid character varying NOT NULL,
    name character varying NOT NULL,
    price double precision NOT NULL,
    created_at timestamp without time zone NOT NULL DEFAULT now(),
    updated_at timestamp without time zone,
    PRIMARY KEY (id)
);

ALTER TABLE IF EXISTS catalog.product
    OWNER to postgres;

COMMENT ON COLUMN catalog.product.pid
    IS 'Unique product ID. EAN, UPC etc...';
